//---------------------------------------------------------------------------
#ifndef LashUpListPopOutH
#define LashUpListPopOutH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "HideButton.h"
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Menus.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TPopOutLashUpList : public TForm
{
__published:	// IDE-managed Components
    TLabel *LashUp_List_Label;
    TStringGrid *LashUpData;
    TPanel *Panel1;
    THideButton *HideButton1;
    TPopupMenu *LashUpDataPopOutMenu;
    TMenuItem *StartupSelectedLashUp;
    TMenuItem *ShutdownSelectedLashUps;
    TImage *Copyright;
    TButton *Refresh;
    void __fastcall HideButton1Click(TObject *Sender);
    void __fastcall LashUpDataClick(TObject *Sender);
    void __fastcall LashUpDataDrawCell(TObject *Sender, int ACol, int ARow,
          TRect &Rect, TGridDrawState State);
    void __fastcall StartupSelectedLashUpClick(
          TObject *Sender);
    void __fastcall ShutdownSelectedLashUpsClick(TObject *Sender);
    void __fastcall LashUpDataDblClick(TObject *Sender);
    void __fastcall LashUpDataKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall CopyrightClick(TObject *Sender);
    void __fastcall RefreshClick(TObject *Sender);
private:	// User declarations
    String RegFileRootKey;
    
public:		// User declarations
    __fastcall TPopOutLashUpList(TComponent* Owner);
    __fastcall ~TPopOutLashUpList(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TPopOutLashUpList *PopOutLashUpList;
//---------------------------------------------------------------------------
#endif
