//---------------------------------------------------------------------------
#ifndef RouteScenePopoutListH
#define RouteScenePopoutListH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "HideButton.h"
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Menus.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TPopoutRouteSceneList : public TForm
{
__published:	// IDE-managed Components
    TLabel *Route_Scene_List_Label;
    TStringGrid *RSData;
    TPanel *Panel1;
    THideButton *HideButton1;
    TPopupMenu *RouteScenePopupMenu;
    TMenuItem *ActivateSelectedRouteScene;
    TMenuItem *ResetRouteScenetoDefaultPosition;
    TImage *Copyright;
    TMenuItem *AllSwitchesinSelectedRouteScenetoNORMALposition1;
    TMenuItem *AllAccyinSelectedRouteScenetoON1;
    TMenuItem *AllAccyinSelectedRouteScenetoOFF1;
    TButton *Refresh;
    void __fastcall HideButton1Click(TObject *Sender);
    void __fastcall RSDataDblClick(TObject *Sender);
    void __fastcall RSDataDrawCell(TObject *Sender, int ACol, int ARow,
          TRect &Rect, TGridDrawState State);
    void __fastcall RSDataClick(TObject *Sender);
    void __fastcall RSDataKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall ActivateSelectedRouteSceneClick(TObject *Sender);
    void __fastcall ResetRouteScenetoDefaultPositionClick(
          TObject *Sender);
    void __fastcall CopyrightClick(TObject *Sender);
    void __fastcall AllSwitchesinSelectedRouteScenetoNORMALposition1Click(
          TObject *Sender);
    void __fastcall AllAccyinSelectedRouteScenetoON1Click(TObject *Sender);
    void __fastcall AllAccyinSelectedRouteScenetoOFF1Click(
          TObject *Sender);
    void __fastcall RefreshClick(TObject *Sender);

private:	// User declarations
    String RegFileRootKey;

public:		// User declarations
    __fastcall TPopoutRouteSceneList(TComponent* Owner);
    __fastcall ~TPopoutRouteSceneList(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TPopoutRouteSceneList *PopoutRouteSceneList;
//---------------------------------------------------------------------------
#endif
