//---------------------------------------------------------------------------
#ifndef EngineListPopOutH
#define EngineListPopOutH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <Grids.hpp>
#include "HideButton.h"
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TPopOutEngineList : public TForm
{
__published:	// IDE-managed Components
    TStringGrid *EngineData;
    TLabel *Engine_List_Label;
    TPanel *Panel1;
    THideButton *HideButton1;
    TPopupMenu *EngineDataPopOutMenu;
    TMenuItem *SetEnginesintoCommandMode;
    TMenuItem *SetEnginesintoLegacyMode;
    TMenuItem *SetEnginesintoConventionalMode;
    TMenuItem *SetEnginesActive;
    TMenuItem *SetEnginesInactive;
    TMenuItem *SetEnginesPS2;
    TMenuItem *SetEnginesPS3;
    TMenuItem *StartUpSelectedEngines1;
    TMenuItem *ShutdownSelectedEngines1;
    TImage *Copyright;
    TButton *AllEngineButton;
    void __fastcall PopoutEngineDataDrawCell(TObject *Sender, int ACol, int ARow,
          TRect &Rect, TGridDrawState State);
    void __fastcall SetEnginesActiveClick(TObject *Sender);
    void __fastcall SetEnginesInactiveClick(TObject *Sender);
    void __fastcall SetEnginesintoCommandModeClick(TObject *Sender);
    void __fastcall SetEnginesintoConventionalModeClick(TObject *Sender);
    void __fastcall SetEnginesintoLegacyModeClick(TObject *Sender);
    void __fastcall SetEnginesPS2Click(TObject *Sender);
    void __fastcall SetEnginesPS3Click(TObject *Sender);
    void __fastcall StartUpSelectedEngines1Click(TObject *Sender);
    void __fastcall ShutdownSelectedEngines1Click(TObject *Sender);
    void __fastcall PopoutEngineDataClick(TObject *Sender);
    void __fastcall HideButton1Click(TObject *Sender);
    void __fastcall PopoutEngineDataDblClick(TObject *Sender);
    void __fastcall EngineDataKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall CopyrightClick(TObject *Sender);
    void __fastcall AllEngineButtonClick(TObject *Sender);
private:	// User declarations
    String RegFileRootKey;

public:		// User declarations
    __fastcall TPopOutEngineList(TComponent* Owner);
    __fastcall ~TPopOutEngineList(void);
    int EngineNo, RemoteNo;
    void __fastcall SetConsistState(int Consist, int State);
    void __fastcall RefreshClick(TObject *Sender);
    
};
//---------------------------------------------------------------------------
extern PACKAGE TPopOutEngineList *PopOutEngineList;
//---------------------------------------------------------------------------
#endif
